View Issue Details

IDProjectCategoryView StatusLast Update
0006679JEDI Code LibraryJclUnicodepublic2019-07-25 21:43
ReporterdatamysticAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status newResolutionopen 
Product VersionVersion 2.5 (Subversion repository/Daily zips) 
Target VersionFixed in Version 
Summary0006679: Unicode libraries need to updating to support Unicode 11.0
DescriptionThe unicode character map and algorithms included in JclUnicode seem to support Unicode 5.2.1. The Unicode 11.0 spec has been out since 2018 and it would be fantastic if this upgrade could be done.
Tagsunicode
Fixed in revision
IDE versionAll

Activities

datamystic

2019-05-11 07:44

reporter   ~0021822

Note that the 5.2.1->11.0 gap causes languages to be processed incorrectly.

datamystic

2019-05-13 13:41

reporter   ~0021836

Apparently Unicode 12.1 was released on 7 May last week.

http://blog.unicode.org/2019/05/unicode-12-1-en.html

mh

2019-06-16 10:53

reporter   ~0021864

Last edited: 2019-06-16 10:54

Yes, I'm also not 100% sure about what we need to do for the update, but I started to update the code block definitions (the enum and the array with the code point ranges). It would be of help if somebody would write a small test program looping through all enum values and checking if a matching (name of the enum -> clear text name of the range) entry in the array exists.

And: if such a test application is to be created, where would we need to put it in the project tree for future use?

mh

2019-06-16 17:19

reporter   ~0021865

Created a pull request:
https://github.com/project-jedi/jcl/pull/61

datamystic

2019-06-16 22:43

reporter   ~0021866

I believe the Unicode site has map files with the latest code points and other x-ref information. They also have a test suite. It may be possible to leverage the PCRE conversions of the .obj files as PCRE is very up-to-date with respect to Unicode.

mh

2019-06-17 22:38

reporter   ~0021867

ok, first pull request had some issue which hopefully is fixed enough by the new one here:
https://github.com/project-jedi/jcl/pull/63

mh

2019-06-17 22:45

reporter   ~0021868

Ok, I updated the code point blocks in the JclUnicode.pas now as per my pull request. But how to update these Unicode .rc files present in the JCL source?

mh

2019-07-25 21:43

reporter   ~0021873

My pull request will only be merged in when the resource data has been updated as well, but the instructions for doing this I got didn't work as something new was implemented on Unicode site and some JCL tool needs to be updated, which I don't know how to do it.

Currently we're waiting on some team member who said to look into the tool over the weeks as he's done changes in that tool in the past already.

Issue History

Date Modified Username Field Change
2019-05-11 07:42 datamystic New Issue
2019-05-11 07:42 datamystic IDE version => All
2019-05-11 07:43 datamystic Tag Attached: unicode
2019-05-11 07:44 datamystic Note Added: 0021822
2019-05-13 13:41 datamystic Note Added: 0021836
2019-06-16 10:53 mh Note Added: 0021864
2019-06-16 10:54 mh Note Edited: 0021864
2019-06-16 17:19 mh Note Added: 0021865
2019-06-16 22:43 datamystic Note Added: 0021866
2019-06-17 22:38 mh Note Added: 0021867
2019-06-17 22:45 mh Note Added: 0021868
2019-07-25 21:43 mh Note Added: 0021873